Page 3 of 3

Re: Known issues in 3.2.4

Posted: Thu Nov 29, 2018 11:30 pm
by svander01
Don't mean to sound helpless, but is there any way the less technically savvy people here (such as myself) can get some instrucitons on how to apply this fix? It has completely broken my board.

Any help would be greatly appreciated.

Re: Known issues in 3.2.4

Posted: Fri Nov 30, 2018 12:21 am
by JimA
Open the files mentioned in the Github link linked by Marc in the opening post in a suitable text editor. Remove the red highlighted code and add the green code. Re-upload the files, that’s it.

Re: Known issues in 3.2.4

Posted: Fri Nov 30, 2018 5:58 am
by canonknipser
Or use hificabins download: viewtopic.php?f=556&t=2492371&start=15#p15137251 mentioned on the page before

Re: Known issues in 3.2.4

Posted: Fri Nov 30, 2018 1:04 pm
by RMcGirr83
canonknipser wrote:
Fri Nov 30, 2018 5:58 am
Or use hificabins download: viewtopic.php?f=556&t=2492371&start=15#p15137251 mentioned on the page before
You mean read the topic? Oh the horror of it all. :lol:

Re: Known issues in 3.2.4

Posted: Thu Dec 13, 2018 7:44 am
by magenta
Hi, it looks like this issue has been known for well over a month, so imagine my surprise that when I upgraded my forum tonight I was bitten by this bug. And I'm not even using any extensions. Given the criticality of this issue, it seems like maybe either a hotfix release should have been pushed or version 3.2.4 should have been pulled? Or at least a note provided on the download page saying that it shouldn't be downloaded and that upgrades should go to 3.2.3 instead.

At the very least it would have been nice to have some sort of indication that I'd have to apply a fix, rather than do a bunch of late-night debugging on the software with mysterious errors like

Code: Select all

PHP Fatal error:  Call to undefined method bbcode::bbcode() in /home/.../includes/functions_content.php on line 630
(the text of which I'm posting because searching on that error didn't find anything either and I want to help others to actually find the problem in question).

Re: Known issues in 3.2.4

Posted: Tue Dec 18, 2018 11:36 am
by jjndig
PHP 7.3 isn't compatible, this is apparently a known issue - I tried to install using PHP 7.3.0, and it failed the install on adding bots (a timeout occurred or something). Downgraded to PHP 7.1 and it worked fine.

Just thought I'd share this bit of info because I've seen incompatibilities related to PHP 7.3 on live installs, but not anything about installation, so here's my say. :)

Re: Known issues in 3.2.4

Posted: Tue Dec 18, 2018 2:42 pm
by GanstaZ
php 7.3 is fresh as a mint, so it will take some time to make it fully compatible with phpbb.

Re: Known issues in 3.2.4

Posted: Tue Dec 18, 2018 3:00 pm
by jjndig
Yeah, I know :P

Just wanted to let the team/contributors know that there's an installation issue as well

Re: Known issues in 3.2.4

Posted: Fri Dec 21, 2018 9:51 am
by Mick
jjndig wrote:
Tue Dec 18, 2018 11:36 am
this is apparently a known issue - I tried to install using PHP 7.3.0
Not apparently, it is. 3.2.4 has never been PHP 7.3 compatible nor was it ever announced it was, it's too new.

Re: Known issues in 3.2.4

Posted: Sat Dec 22, 2018 8:05 am
by jjndig
Yeah - I was just highlighting to look in the installer code if necessary for 3.2.5

Re: Known issues in 3.2.4

Posted: Sun Dec 23, 2018 9:35 am
by Olaf van der Spek
Mick wrote:
Fri Dec 21, 2018 9:51 am
jjndig wrote:
Tue Dec 18, 2018 11:36 am
this is apparently a known issue - I tried to install using PHP 7.3.0
Not apparently, it is. 3.2.4 has never been PHP 7.3 compatible nor was it ever announced it was, it's too new.
https://www.phpbb.com/support/docs/en/3.2/ug/ says
PHP 5.4.7+ with support for the database you intend to use.
7.3 > 5.4.7 ;)

Re: Known issues in 3.2.4

Posted: Sun Dec 23, 2018 9:57 am
by Mick
PHP 7.3 didn't exist until November 2018 when 3.2.4 was released.

Re: Known issues in 3.2.4

Posted: Sun Dec 23, 2018 12:40 pm
by Marc
Closing this as the recommended way to fix the issues in 3.2.4 is to update to 3.2.5. ;)